{% extends "@Paa/Default/entityFormBaseGrille.html.twig" %}

{#MC 20200903#}

{% block datatable_title %}
    <th id="iidCompteurRegle" style="display: none">Id</th>
    <th id="iregle">Règle</th>
    <th id="nsens">Sens</th>
    <th id="mcommentaire">Commentaire</th> 
    <th id="bvalheure">Incrémentation par heure</th>
    <th id="bvaljour">Incrémentation par jour</th> 
{% endblock %}

{% block datatable_body %}
    {% set iRow = 0 %}
    {% for row in poEntité.listeRegles %}
        <tr>
            <td id ="row_{{ iRow|raw }}_iidCompteurRegle" style="display: none" name="{{ row.iidCompteurRegle }}"> {{ row.iidCompteurRegle }} </td>
            <td id ="row_{{ iRow|raw }}_iregle"> {{ row.iregle}} </td>
            <td id ="row_{{ iRow|raw }}_nsens"> {{ row.nsens}} </td> 
            <td id ="row_{{ iRow|raw }}_mcommentaire"> {{ row.mcommentaire}} </td> 
            <td id ="row_{{ iRow|raw }}_bvalheure"> {{ row.bvalheure}} </td> 
            <td id ="row_{{ iRow|raw }}_bvaljour"> {{ row.bvaljour }} </td> 
        </tr>
        {% set iRow = iRow + 1%}
    {% endfor %}
{% endblock %}

{#Formulaire de saisie de l'entité#}
{% block postGrille %}
{#MC 20200908 DEBUT#}
<div id="formulaire_DataTable_compteursRegles" class=" spliteB" style=""></div>
{#MC 20200908 FIN#}
{% endblock %}

    {% block scriptSplit %}
        {# Surcharge du script du split entre regle et sont form#}
//MC 20200908 DEBUT

//MC Pour definir la taille du slider recuperation de la hauteur de la div parent 
{#var hauteurDivTab = document.getElementById(formulaire_detail_compteurs).scrollHeight;#}
{#var hauteurDivTab = window.getComputedStyle(resize_wrapper);#}
{##var hauteurDivTab = $('#resize_wrapper').height()#}

{#const gutterStyle = dimension => ({
  'flex-basis': `${hauteurDivTab}px`,
});#}

    Split(['.spliteA', '.spliteB'], {
        gutterSize: 5,
        sizes: [75, 25],
        minSize: [300, 350],
    });
//MC 20200908
    {% endblock %}
